package org.bench4q.agent.parameterization.impl;

import java.util.HashMap;
import java.util.Map;
import java.util.UUID;
import java.util.concurrent.locks.ReentrantReadWriteLock;

public class Para_UserNameAndPassword {
	String[] Password = new String[] { "a", "b", "c", "d", "e" };
	String[] userName = new String[] { "http://www.baidu.com/",
			"http://www.163.com/", "http://baike.baidu.com/",
			"http://zhidao.baidu.com/", "http://www.sina.com.cn/" };
	UUID[] useUUID = new UUID[5];

	Map<UUID, Integer> posMap = new HashMap<UUID, Integer>();
	ReentrantReadWriteLock mapRWLock = new ReentrantReadWriteLock();
	ReentrantReadWriteLock idposLock = new ReentrantReadWriteLock();

	public String getUserName(UUID id) {
		mapRWLock.readLock().lock();
		if (posMap.containsKey(id)) {
			mapRWLock.readLock().unlock();
			return userName[posMap.get(id)];
		}
		mapRWLock.readLock().unlock();

		int vaildPos = -1;
		int tryNum = 0;
		while (vaildPos < 0 && tryNum < 100) {
			tryNum++;
			idposLock.readLock().lock();
			for (int i = 0; i < 5; i++) {

				if (useUUID[i] == null) {
					vaildPos = i;
					break;
				}
			}
			idposLock.readLock().unlock();
			if (vaildPos < 0) {
				try {
					Thread.sleep(1000);
				} catch (Exception ex) {

				}
			}
		}

		idposLock.writeLock().lock();
		useUUID[vaildPos] = id;
		idposLock.writeLock().unlock();
		mapRWLock.writeLock().lock();
		posMap.put(id, vaildPos);
		mapRWLock.writeLock().unlock();
		return userName[vaildPos];
	}

	public String getPassword(UUID id) {
		mapRWLock.readLock().lock();
		if (posMap.containsKey(id)) {
			mapRWLock.readLock().unlock();
			return Password[posMap.get(id)];
		}
		mapRWLock.readLock().unlock();

		int vaildPos = -1;
		int tryNum = 0;
		while (vaildPos < 0 && tryNum < 100) {
			tryNum++;
			idposLock.readLock().lock();
			for (int i = 0; i < 5; i++) {

				if (useUUID[i] == null) {
					vaildPos = i;
					break;
				}
			}
			idposLock.readLock().unlock();
			if (vaildPos < 0) {
				try {
					Thread.sleep(1000);
				} catch (Exception ex) {

				}
			}
		}

		idposLock.writeLock().lock();
		useUUID[vaildPos] = id;
		idposLock.writeLock().unlock();
		mapRWLock.writeLock().lock();
		posMap.put(id, vaildPos);
		mapRWLock.writeLock().unlock();
		return Password[vaildPos];
	}

	public void unreg(UUID id) {
		try {
			// System.out.println("1");
			mapRWLock.writeLock().lock();
			// System.out.println("2");
			int pos = posMap.get(id);
			// System.out.println("3");
			posMap.remove(id);
			// System.out.println("4");
			mapRWLock.writeLock().unlock();
			// System.out.println("5");
			idposLock.writeLock().lock();
			// System.out.println("6");
			useUUID[pos] = null;
			idposLock.writeLock().unlock();
		} catch (Exception ex) {
			System.out.println(ex.getClass().getName());
			System.out.println(ex.getMessage());
			System.out.println(ex.getStackTrace());
			mapRWLock.writeLock().unlock();
			idposLock.writeLock().unlock();
		}
	}

}
