package org.bench4q.agent.plugin.result;

import java.util.LinkedHashMap;
import java.util.Map;

public abstract class PluginReturn {
	private boolean success;
	private Map<String, String> runTimeParams;

	public boolean isSuccess() {
		return success;
	}

	public void setSuccess(boolean success) {
		this.success = success;
	}

	public Map<String, String> getRunTimeParams() {
		return runTimeParams;
	}

	public void setRunTimeParams(Map<String, String> runTimeParams) {
		this.runTimeParams = runTimeParams;
	}

	public PluginReturn() {
		this.setRunTimeParams(new LinkedHashMap<String, String>());
	}
}
