package org.bench4q.agent.scenario;

import java.io.Serializable;
import java.util.Date;
import java.util.List;
import java.util.UUID;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "testResult")
public class TestResult implements Serializable {
	private static final long serialVersionUID = -370091935554266546L;
	private UUID runId;
	private int poolSize;
	private int totalCount;
	private Date startDate;
	private long elapsedTime;
	private int successCount;
	private int failCount;
	private int finishedCount;
	private double averageResponseTime;
	private List<TestResultItem> results;

	@XmlElement
	public UUID getRunId() {
		return runId;
	}

	public void setRunId(UUID runId) {
		this.runId = runId;
	}

	@XmlElement
	public int getPoolSize() {
		return poolSize;
	}

	public void setPoolSize(int poolSize) {
		this.poolSize = poolSize;
	}

	@XmlElement
	public int getTotalCount() {
		return totalCount;
	}

	public void setTotalCount(int totalCount) {
		this.totalCount = totalCount;
	}

	@XmlElement
	public Date getStartDate() {
		return startDate;
	}

	public void setStartDate(Date startDate) {
		this.startDate = startDate;
	}

	public long getElapsedTime() {
		return elapsedTime;
	}

	public void setElapsedTime(long elapsedTime) {
		this.elapsedTime = elapsedTime;
	}

	public int getSuccessCount() {
		return successCount;
	}

	public void setSuccessCount(int successCount) {
		this.successCount = successCount;
	}

	public int getFailCount() {
		return failCount;
	}

	public void setFailCount(int failCount) {
		this.failCount = failCount;
	}

	public int getFinishedCount() {
		return finishedCount;
	}

	public void setFinishedCount(int finishedCount) {
		this.finishedCount = finishedCount;
	}

	public double getAverageResponseTime() {
		return averageResponseTime;
	}

	public void setAverageResponseTime(double averageResponseTime) {
		this.averageResponseTime = averageResponseTime;
	}

	@XmlElementWrapper(name = "results")
	@XmlElement(name = "result")
	public List<TestResultItem> getResults() {
		return results;
	}

	public void setResults(List<TestResultItem> results) {
		this.results = results;
	}
}