package org.bench4q.agent.scenario.behavior;

import org.bench4q.share.models.agent.scriptrecord.BehaviorModel;

public class BehaviorFactory {
	public static Behavior getBuisinessObject(BehaviorModel modelInput) {
		if (modelInput.getType().equalsIgnoreCase("TIMERBEHAVIOR")) {
			return new TimerBehavior();
		} else if (modelInput.getType().equalsIgnoreCase("USERBEHAVIOR")) {
			return new UserBehavior();
		}
		return null;
	}
}
