package org.bench4q.master.api;

import org.bench4q.master.domain.entity.User;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@RequestMapping("/")
public class HomeController extends BaseController {
	@RequestMapping(value = { "/" }, method = RequestMethod.GET)
	@ResponseBody
	public String index() {
		User principal = this.getPrincipal();
		String userName;
		if (principal == null) {
			userName = "Anonymous User";
		} else {
			userName = principal.getUserName();
		}
		return "Hello [" + userName + "]";
	}
}