package org.bench4q.master.scriptrecord.httpcapture;

public class HeaderValue {
	public static final String GENERAL_CACHE_CONTROL = "Cache-Control";
	  public static final String GENERAL_CONNECTION = "Connection";
	  public static final String GENERAL_DATE = "Date";
	  public static final String GENERAL_PRAGMA = "Pragma";
	  public static final String GENERAL_TRAILER = "Trailer";
	  public static final String GENERAL_TRANSFER_ENC = "Transfer-Encoding";
	  public static final String GENERAL_UPGRADE = "Upgrade";
	  public static final String GENERAL_VIA = "Via";
	  public static final String GENERAL_WARNING = "Warning";
	  public static final String REQUEST_ACCEPT = "Accept";
	  public static final String REQUEST_ACCEPT_CHARSET = "Accept-Charset";
	  public static final String REQUEST_ACCEPT_ENCODING = "Accept-Encoding";
	  public static final String REQUEST_ACCEPT_LANGUAGE = "Accept-Language";
	  public static final String REQUEST_AUTHORIZATION = "Authorization";
	  public static final String REQUEST_EXPECT = "Expect";
	  public static final String REQUEST_FROM = "From";
	  public static final String REQUEST_HOST = "Host";
	  public static final String REQUEST_IF_MATCH = "If-Match";
	  public static final String REQUEST_IF_MODIFIED_SINCE = "If-Modified-Since";
	  public static final String REQUEST_IF_NONE_MATCH = "If-None-Match";
	  public static final String REQUEST_IF_RANGE = "If-Range";
	  public static final String REQUEST_IF_UNMODIFIED_SINCE = "If-Unmodified-Since";
	  public static final String REQUEST_MAX_FORWARDS = "Max-Forwards";
	  public static final String REQUEST_PROXY_AUTHORIZATION = "Proxy-Authorization";
	  public static final String REQUEST_RANGE = "Range";
	  public static final String REQUEST_REFERER = "Referer";
	  public static final String REQUEST_TE = "TE";
	  public static final String REQUEST_USER_AGENT = "User-Agent";
	  public static final String RESPONSE_AGE = "Age";
	  public static final String RESPONSE_ETAG = "ETag";
	  public static final String RESPONSE_LOCATION = "Location";
	  public static final String RESPONSE_PROXY_AUTHENTICATE = "Proxy-Authenticate";
	  public static final String RESPONSE_RETRY_AFTER = "Retry-After";
	  public static final String RESPONSE_SERVER = "Server";
	  public static final String RESPONSE_VARY = "Vary";
	  public static final String RESPONSE_WWW_AUTHENTICATE = "WWW-Authenticate";
	  public static final String ENTITY_ALLOW = "Allow";
	  public static final String ENTITY_CONTENT_ENCODING = "Content-Encoding";
	  public static final String ENTITY_CONTENT_LANGUAGE = "Content-Language";
	  public static final String ENTITY_CONTENT_LENGHT = "Content-Length";
	  public static final String ENTITY_CONTENT_LOCATION = "Content-Location";
	  public static final String ENTITY_CONTENT_MD5 = "Content-MD5";
	  public static final String ENTITY_CONTENT_RANGE = "Content-Range";
	  public static final String ENTITY_CONTENT_TYPE = "Content-Type";
	  public static final String ENTITY_EXPIRES = "Expires";
	  public static final String ENTITY_LAST_MODIFIED = "Last-Modified";
	  private String header;
	  private String value;

	  public HeaderValue(String header, String value)
	  {
	    this.header = header;
	    this.value = value;
	  }

	  public String getHeader()
	  {
	    return this.header;
	  }

	  public void setHeader(String header)
	  {
	    this.header = header;
	  }

	  public String getValue()
	  {
	    return this.value;
	  }

	  public void setValue(String value)
	  {
	    this.value = value;
	  }
}
