package org.bench4q.master.testplan.schedulscript;

import java.util.TimerTask;

import org.bench4q.master.domain.RunningScriptInterface;
import org.bench4q.master.domain.service.AgentService;
import org.bench4q.master.helper.ApplicationContextHelper;

public class WarmUpOverTask extends TimerTask {
	private AgentService agentService;
	private RunningScriptInterface runningScript;

	public AgentService getAgentService() {
		return agentService;
	}

	public void setAgentService(AgentService agentService) {
		this.agentService = agentService;
	}

	public RunningScriptInterface getRunningScript() {
		return runningScript;
	}

	public void setRunningScript(RunningScriptInterface runningScript) {
		this.runningScript = runningScript;
	}

	public WarmUpOverTask() {
		this.setAgentService(ApplicationContextHelper.getContext().getBean(
				AgentService.class));
	}

	@Override
	public void run() {
		System.out.println("warm up over and start to execute!");
		if (this.getRunningScript() == null) {
			return;
		}
	}
}
