package org.bench4q.share.models.agent.scriptrecord;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "page")
public class PageModel {
	private List<BatchModel> batches;

	@XmlElementWrapper(name = "batches")
	@XmlElement(name = "batch")
	public List<BatchModel> getBatches() {
		return batches;
	}

	public void setBatches(List<BatchModel> batches) {
		this.batches = batches;
	}

	public PageModel() {
		this.setBatches(new ArrayList<BatchModel>());
	}
}
