package org.bench4q.share.models.master;

import java.util.List;
import java.util.UUID;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlRootElement;

import org.bench4q.share.enums.master.TestPlanStatus;

@XmlRootElement(name = "RunTestPlanResultModel")
public class TestPlanResultModel {
	private UUID testPlanId;
	private TestPlanStatus currentStatus;
	private List<Integer> scriptIds;
	private List<MonitorModel> monitorModels;

	@XmlElement(name = "testPlanId")
	public UUID getTestPlanId() {
		return testPlanId;
	}

	public void setTestPlanId(UUID testPlanId) {
		this.testPlanId = testPlanId;
	}

	@XmlElement(name = "currentStatus")
	public TestPlanStatus getCurrentStatus() {
		return currentStatus;
	}

	public void setCurrentStatus(TestPlanStatus currentStatus) {
		this.currentStatus = currentStatus;
	}

	@XmlElementWrapper(name = "scriptIdList")
	@XmlElement(name = "scriptId")
	public List<Integer> getScriptIds() {
		return scriptIds;
	}

	public void setScriptIds(List<Integer> scriptIds) {
		this.scriptIds = scriptIds;
	}

	@XmlElementWrapper(name = "MonitorModelList")
	@XmlElement(name = "MonitorModel")
	public List<MonitorModel> getMonitorModels() {
		return monitorModels;
	}

	public void setMonitorModels(List<MonitorModel> monitorModels) {
		this.monitorModels = monitorModels;
	}

}
