package org.bench4q.share.models.master.plugin;

import java.util.Set;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement
public class MethodModel {
	private Set<MethodParamModel> methodParams;

	private String name;

	@XmlElement
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}


	@XmlElementWrapper(name = "params")
	@XmlElement(name = "param", type = MethodParamModel.class)
	public Set<MethodParamModel> getMethodParams() {
		return methodParams;
	}

	public void setMethodParams(Set<MethodParamModel> methodParams) {
		this.methodParams = methodParams;
	}

}
