package org.bench4q.web.extractObjectFromXml;

import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;

import javax.xml.bind.JAXBContext;
import javax.xml.bind.JAXBException;
import javax.xml.bind.Marshaller;
import javax.xml.bind.Unmarshaller;


public class ObjectXmlExchange {
	public static Object fromXml(Class<?> objectClass, String content) throws JAXBException {
		if(content==null)
			return null;
		Unmarshaller unmarshaller;
			unmarshaller = JAXBContext.newInstance(objectClass)
					.createUnmarshaller();
			return unmarshaller.unmarshal(new ByteArrayInputStream(content
					.getBytes()));
	}
	public static String toXml(Class<?> classToMarshal, Object input) throws JAXBException {
		ByteArrayOutputStream os = new ByteArrayOutputStream();
		Marshaller marshaller;
			marshaller = JAXBContext.newInstance(classToMarshal)
					.createMarshaller();
			marshaller.marshal(input, os);
		return os.toString();
	}
}
