package org.bench4q.web.model;

import org.bench4q.share.models.ErrorResponseModel;


public class Bench4qWebException extends Exception{

	
	private static final long serialVersionUID = 1L;
	private String code;
	private String message;
	private String resource;
	
	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

	public String getResource() {
		return resource;
	}

	public void setResource(String resource) {
		this.resource = resource;
	}

	public Bench4qWebException(ErrorResponseModel errorReponseModel){
		this.code=errorReponseModel.getCode();
		this.message=errorReponseModel.getMessage();
		this.resource=errorReponseModel.getResource();
	}
}
