<!DOCTYPE html>
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<html>
<head>
<%@taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<meta charset="utf-8">
<title>Bench4Q</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta name="description"
	content="Bench4Q, a new method for QOS benchmarking.">
<meta name="author" content="Kai Ren">
<!-- The styles -->
<link id="bs-css" href="css/bootstrap-cerulean.css" rel="stylesheet">
<link href="css/bootstrap-responsive.css" rel="stylesheet">
<link href="css/charisma-app.css" rel="stylesheet">
<link href="css/jquery-ui-1.8.21.custom.css" rel="stylesheet">
<link href='css/colorbox.css' rel='stylesheet'>
<link href='css/noty_theme_default.css' rel='stylesheet'>
<link href='css/opa-icons.css' rel='stylesheet'>
<link rel="shortcut icon" href="img/bench4q.png">
<link href="bench4q-css/bench4q.css" rel="stylesheet">

</head>

<body>
	<fmt:bundle basename="i18n">
		<jsp:include page="publiccontrol/navigatebar.jsp"></jsp:include>
		<!-- topbar ends -->
		<div class="container-fluid">

			<div class="row-fluid">
				<%-- <jsp:include page="publiccontrol/leftmenubar.jsp"></jsp:include> --%>
				<div id="content" class="span10 center ">
					<!-- content starts -->
					<div class="sortable row-fluid ui-sortable">
						<a data-rel="tooltip" class="well span3 top-block" href="test.jsp"
							data-original-title=<fmt:message key="creattestplan" />> <span
							class="icon32 icon-red icon-plus"></span>
							<div>
								<fmt:message key="creattestplan" />
							</div>
						</a> <a data-rel="tooltip" class="well span3 top-block"
							href="script.jsp"
							data-original-title=<fmt:message key="scriptmanagerment" />>
							<span class="icon32 icon-color icon-edit"></span>

							<div>
								<fmt:message key="scriptmanagement" />

							</div>
						</a> <a data-rel="tooltip" class="well span3 top-block"
							href="testPlanTask.jsp"
							data-original-title=<fmt:message key="testQueue" />> <span
							class="icon32 icon-green  icon-envelope-closed"></span>
							<div>
								<fmt:message key="testQueue" />
							</div>
						</a> </a> <a data-rel="tooltip" class="well span3 top-block"
							href="testplans.jsp"
							data-original-title=<fmt:message key="testhistory" />> <span
							class="icon32 icon-blue icon-star-on"></span>
							<div>
								<fmt:message key="testhistory" />
							</div>
						</a>
					</div>

				
					<div class="row-fluid sortable">
						<div class="box span12">
							<div class="box-header well" data-original-title>
								<h2><fmt:message key="script" /></h2>
								<div class="box-icon">
									<a href="#" class="btn btn-setting btn-round"><i
										class="icon-cog"></i></a> <a href="#"
										class="btn btn-minimize btn-round"><i
										class="icon-chevron-up"></i></a> <a href="#"
										class="btn btn-close btn-round"><i class="icon-remove"></i></a>
								</div>
							</div>

							<div class="box-content">
								<table class="table table-condensed" id="scriptTab">
									<thead>
										<tr>
											<th><fmt:message key="scriptname" /></th>
											<th>ID</th>
											<th><fmt:message key="datecreated" /></th>
											<th><fmt:message key="actions" /></th>
										</tr>
									</thead>
								</table>
							</div>
						</div>
						<!-- content ends -->
					</div>
	                <div class="row-fluid sortable">
						<div class="box span12">
							<div class="box-header well" data-original-title>
								<h2><fmt:message key="latestTest" /></h2>
								<div class="box-icon">
									<a href="#" class="btn btn-setting btn-round"><i
										class="icon-cog"></i></a> <a href="#"
										class="btn btn-minimize btn-round"><i
										class="icon-chevron-up"></i></a> <a href="#"
										class="btn btn-close btn-round"><i class="icon-remove"></i></a>
								</div>
							</div>

							<div class="box-content">
								<table class="table table-condensed " id="testPlanTab">
									<thead>
										<tr>
										<th><fmt:message key="testplanrunid" /></th>
											<th>ID</th>
											<th><fmt:message key="datecreated" /></th>
											<th><fmt:message key="status" /></th>
											
											<th><fmt:message key="actions" /></th>
										</tr>
									</thead>
								</table>
							</div>
						</div>
						<!-- content ends -->
					</div>
					<!--/#content.span10-->
				</div>
				<!--/fluid-row-->
			</div>


			<hr>
			<jsp:include page="publiccontrol/footer.jsp"></jsp:include>
		</div>
		<!-- external javascript ========== -->
		<script src="js/jquery-1.8.2.min.js"></script>
		<script src="js/jquery-ui-1.8.21.custom.min.js"></script>
		<script src='js/jquery.dataTables.min.js'></script>
		<script src="js/jquery.i18n.properties-1.0.9.js"></script>
		<script src="js/bootstrap-dropdown.js"></script>
		<script src="js/jquery.cookie.js"></script>
		<script src="js/theme.js"></script>
		<script src="script/base.js"></script>
		<script src="script/scriptTable.js"></script>
		<script src="script/bench4q.table.js"></script>
		<script src="script/loadTestPlans.js"></script>
		<script src="script/home.js"></script>
	</fmt:bundle>
</body>
</html>
