<!DOCTYPE html>
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<html>
<head>
<%@taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta name="description"
	content="Charisma, a fully featured, responsive, HTML5, Bootstrap admin template.">
<meta name="author" content="Muhammad Usman">
<link rel="shortcut icon" href="img/bench4q.png">
<link href="css/index.css" rel="stylesheet">
<link href="css/github-6053501db2b69fd2b04652c6349117be14468ce4.css"
	media="screen" rel="stylesheet">
<link href="css/github2-277183b6724249eea8a7d10300542831eac78d3f.css"
	media="screen" rel="stylesheet" type="text/css">

<style type="text/css">
body {
	padding-bottom: 40px;
}

.sidebar-nav {
	padding: 9px 0;
}
</style>
<link href="css/charisma-app.css" rel="stylesheet">
</head>

<body class="logged_out wider windows  env-production ">
	<div id="header" class="true clearfix" style="height: 50px">
		<div class="container clearfix">
			<a class="site-logo" href="index.jsp"><img id="bench4q"
				src="img/bench4q-1.png" height="30" /></a>
			<ul class="top-nav logged_out">
				<li class="login"><a href="register.jsp">Register</a></li>
				<li class="login"><a href="login.jsp">Login</a></li>
			</ul>
		</div>
	</div>
	<div class="container">
		<div class="header">
			<h1>Bench4Q is A Cloud-based Load Testing Platform</h1>
		</div>
		<div class="picture" align="center">
			<!-- <div id="slider" align="center">
				<ul style="margin-top: 30px; padding: 0; list-style: none;">
					<li
						style="margin: 0; padding: 0; list-style: none; width: 692px; height: 250px; overflow: hidden;"><img
						style="border: none;" src="img/01.jpg" alt="Css Template Preview" /></li>
					<li
						style="margin: 0; padding: 0; list-style: none; width: 692px; height: 250px; overflow: hidden;"><img
						style="border: none;" src="img/02.jpg" alt="Css Template Preview" /></li>
					<li
						style="margin: 0; padding: 0; list-style: none; width: 692px; height: 250px; overflow: hidden;"><img
						style="border: none;" src="img/03.jpg" alt="Css Template Preview" /></li>
					<li
						style="margin: 0; padding: 0; list-style: none; width: 692px; height: 250px; overflow: hidden;"><img
						style="border: none;" src="img/04.jpg" alt="Css Template Preview" /></li>
					<li
						style="margin: 0; padding: 0; list-style: none; width: 692px; height: 250px; overflow: hidden;"><img
						style="border: none;" src="img/05.jpg" alt="Css Template Preview" /></li>
				</ul>
			</div> -->
			<div id="carousel-example-generic" class="carousel slide"
				data-ride="carousel">
				<!-- Indicators -->
				<ol class="carousel-indicators">
					<li data-target="#carousel-example-generic" data-slide-to="0"
						class="active"></li>
					<li data-target="#carousel-example-generic" data-slide-to="1"></li>
					<li data-target="#carousel-example-generic" data-slide-to="2"></li>
				</ol>

				<!-- Wrapper for slides -->
				<div class="carousel-inner">
					<div class="item active">
						<img src="img/01.jpg" alt="First Slide">
					</div>
					<div class="item">
						<img src="img/02.jpg" alt="Second Slide">
					</div>
					<div class="item">
						<img src="img/03.jpg" alt="Third Slide">
					</div>
				</div>

				<!-- Controls -->
				<a class="left carousel-control" href="#carousel-example-generic"
					data-slide="prev"> <span
					class="glyphicon glyphicon-chevron-left">::before</span>
				</a> <a class="right carousel-control" href="#carousel-example-generic"
					data-slide="next"> <span
					class="glyphicon glyphicon-chevron-right">::After</span>
				</a>
			</div>
		</div>
		<div class="content">
			<div class="introduce">
				<div class="text">
					<div class="right-text">
						<div>
							<p
								style="font-size: 22px; font-weight: bold; font-family: sans-serif">Bench4Q</p>
						</div>
						<div>
							<p
								style="font-size: 15; line-height: 30px; font-weight: bold; font-family: Arial">Bench4Q
								is a very new methodology for QoS oriented the E-commerce
								benchmarking.Bench4Q has many features to deduce the
								controllable and flexible representation of complex
								session-based workloads,and to simulate authentic customer
								behavior.</p>
						</div>
					</div>
					<div class="left-text">
						<div>
							<p
								style="font-size: 22px; font-weight: bold; font-family: sans-serif">Bench4Q_as_a_Service</p>
						</div>
						<div>
							<p
								style="font-size: 15; line-height: 30px; font-weight: bold; font-family: Arial">Bench4Q_as_a_Service
								is based on Bench4Q project. We re-implemented Bench4Q tool as a
								service which can be deployed on the application server. Bench4Q
								supports elasticity and multi-tenancy which are promised in
								cloud computing.</p>
						</div>
					</div>
					<div class="clear"></div>
				</div>
				<div class="button">
					<div align="center">
						<a href="register.jsp"><img id="register" class="register"
							src="img/go.jpg"></img></a>
					</div>
					<div>
						<p style="text-align: center">Free register, signing, load
							test, real-time monitoring, analysis report download, view
							history data and much more ...</p>
					</div>
				</div>
			</div>

		</div>
	</div>
	<!--/.fluid-container-->
	<div class="bottom">
		<div
			style="width: 100%; height: 200px; background-color: #f8f8f8; border-top: 1px #cbcaca solid; border-bottom: 1px #cbcaca solid;">
			<div align=right
				style="width: 25%; height: 200px; padding-top: 20px; float: left">
				<img src="img/icon.png" />
			</div>
			<div style="width: 3%; height: 200px; float: left"></div>
			<div style="width: 12%; height: 200px; float: left">
				<div style="width: 100%; height: 200px;">
					<div
						style="font-weight: 600; color: #868583; width: 100%; height: 30px; padding: 15px 0px 0px 0px; font-size: 15px; border-bottom: 1px #cbcaca solid;">
						Bench4Q</div>
					<div
						style="font-size: 12px; font-weight: 500; width: 100%; height: 20px; color: #5a86b3; padding-top: 5px">
						About Us</div>
					<div
						style="font-size: 12px; font-weight: 500; width: 100%; height: 20px; color: #5a86b3;">
						Sina Blog</div>
					<div
						style="font-size: 12px; font-weight: 500; width: 100%; height: 20px; color: #5a86b3;">
						Sina Weibo</div>
					<div
						style="font-size: 12px; font-weight: 500; width: 100%; height: 20px; color: #5a86b3;">
						Features</div>
					<div
						style="font-size: 12px; font-weight: 500; width: 100%; height: 20px; color: #5a86b3;">
						Contact & Support</div>
				</div>
			</div>
			<div style="width: 2%; height: 200px; float: left"></div>
			<div style="width: 13%; height: 200px; float: left">
				<div style="width: 100%; height: 200px;">
					<div
						style="font-weight: 600; color: #868583; width: 100%; height: 30px; padding: 15px 0px 0px 0px; font-size: 15px; border-bottom: 1px #cbcaca solid;">
						Document</div>
					<div
						style="font-size: 12px; font-weight: 500; width: 100%; height: 40px; color: #5a86b3; padding-top: 5px">
						Requirement Analysis Document</div>
					<div
						style="font-size: 12px; font-weight: 500; width: 100%; height: 20px; color: #5a86b3;">
						Design Document</div>
					<div
						style="font-size: 12px; font-weight: 500; width: 100%; height: 20px; color: #5a86b3;">
						UserManual Document</div>
					<div
						style="font-size: 12px; font-weight: 500; width: 100%; height: 20px; color: #5a86b3;">
						Test Document</div>
				</div>
			</div>
			<div style="width: 2%; height: 200px; float: left"></div>
			<div style="width: 12%; height: 200px; float: left">
				<div style="width: 100%; height: 200px;">
					<div
						style="font-weight: 600; color: #868583; width: 100%; height: 30px; padding: 15px 0px 0px 0px; font-size: 15px; border-bottom: 1px #cbcaca solid;">
						Tools</div>
					<div
						style="font-size: 12px; font-weight: 500; width: 100%; height: 20px; color: #5a86b3; padding-top: 5px">
						Mysql</div>
					<div
						style="font-size: 12px; font-weight: 500; width: 100%; height: 40px; color: #5a86b3;">
						Navicat Lite for MySQL</div>
					<div
						style="font-size: 12px; font-weight: 500; width: 100%; height: 20px; color: #5a86b3;">
						CentOS</div>
					<div
						style="font-size: 12px; font-weight: 500; width: 100%; height: 20px; color: #5a86b3;">
						Tommcat</div>
				</div>
			</div>
			<div style="width: 2%; height: 200px; float: left"></div>
			<div style="width: 12%; height: 200px; float: left">
				<div style="width: 100%; height: 200px;">
					<div
						style="font-weight: 600; color: #868583; width: 100%; height: 30px; padding: 15px 0px 0px 0px; font-size: 15px; border-bottom: 1px #cbcaca solid;">
						Download</div>
					<div
						style="font-size: 12px; font-weight: 500; width: 100%; height: 20px; color: #5a86b3; padding-top: 5px">
						SSH</div>
					<div
						style="font-size: 12px; font-weight: 500; width: 100%; height: 20px; color: #5a86b3;">
						SUT</div>
					<div
						style="font-size: 12px; font-weight: 500; width: 100%; height: 20px; color: #5a86b3;">
						TPC-W</div>
					<div
						style="font-size: 12px; font-weight: 500; width: 100%; height: 20px; color: #5a86b3;">
						Bench4Q1.0</div>
					<div
						style="font-size: 12px; font-weight: 500; width: 100%; height: 20px; color: #5a86b3;">
						Bench4Q_Script</div>
				</div>
			</div>
		</div>
	</div>
	<!-- /。bottom -->

	<script src="http://ajax.aspnetcdn.com/ajax/jQuery/jquery-2.1.0.min.js"></script>
	<!-- <script type="text/javascript" src="js/easySlider1.5.js"></script> -->
	<script src="js/jquery.i18n.properties-1.0.9.js"></script>
	<script src="js/bootstrap.min.js"></script>
	<script src="script/index.js"></script>
</body>
</html>