<!DOCTYPE html>
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<html>
<head>
<%@taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<meta charset="utf-8">
<title>Free HTML5 Bootstrap Admin Template</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta name="description"
	content="Charisma, a fully featured, responsive, HTML5, Bootstrap admin template.">
<meta name="author" content="Muhammad Usman">

<!-- The styles -->
<link rel="shortcut icon" href="img/bench4q.png">
<style type="text/css">
body {
	padding-bottom: 40px;
}

.sidebar-nav {
	padding: 9px 0;
}
</style>
<link id="bs-css" href="css/bootstrap-cerulean.css" rel="stylesheet">
<link href="css/bootstrap-responsive.css" rel="stylesheet">
<link href="css/charisma-app.css" rel="stylesheet">
<link href="css/jquery-ui-1.8.21.custom.css" rel="stylesheet">
<link href='css/fullcalendar.css' rel='stylesheet'>
<link href='css/fullcalendar.print.css' rel='stylesheet' media='print'>
<link href='css/chosen.css' rel='stylesheet'>
<link href='css/uniform.default.css' rel='stylesheet'>
<link href='css/colorbox.css' rel='stylesheet'>
<link href='css/jquery.noty.css' rel='stylesheet'>
<link href='css/noty_theme_default.css' rel='stylesheet'>
<link href='css/elfinder.min.css' rel='stylesheet'>
<link href='css/elfinder.theme.css' rel='stylesheet'>
<link href='css/jquery.iphone.toggle.css' rel='stylesheet'>
<link href='css/opa-icons.css' rel='stylesheet'>
<link href='css/uploadify.css' rel='stylesheet'>

<link rel="shortcut icon" href="img/favicon.ico">

</head>

<body>
	<fmt:bundle basename="i18n">
		<div class="container-fluid">
			<div class="row-fluid">

				<div class="row-fluid">
					<div class="span12 center login-header">
						<h2>
							<fmt:message key="welcometo" />
						</h2>
					</div>
					<!--/span-->
				</div>
				<!--/row-->

				<div class="row-fluid">
					<div class="well span5 center login-box">
						<div class="alert alert-info">
							<fmt:message key="registerhead" />
						</div>
						<br />
							<fieldset>

								<div class="input-prepend" title="Username" data-rel="tooltip">
									<span class="add-on"><i class="icon-user"></i></span><input
										autofocus class="input-large span6" name="username"
										id="username" type="text" />
								</div>

								<div class="clearfix"></div>

								<div class="input-prepend" title="Password" data-rel="tooltip">
									<span class="add-on"><i class="icon-lock"></i></span><input
										class="input-large span6" name="password" id="password"
										type="password" />
								</div>

								<div class="clearfix"></div>

								<div class="input-prepend" title="Type the password again."
									data-rel="tooltip">
									<span class="add-on"><i class="icon-lock"></i></span><input
										class="input-large span6" name="retype_pwd" id="re_password"
										type="password" />
								</div>


								<div class="clearfix"></div>

								<p class="center span5">
									<button type="submit" class="btn btn-primary" onclick="register()">
										<fmt:message key="registerbutton" />
									</button>

								</p>
								<p class=" hide" id="registerMsg"></p>
							</fieldset>
					</div>
					<!--/span-->
				</div>
				<!--/row-->
			</div>
			<!--/fluid-row-->

		</div>
		<!--/.fluid-container-->

		<!-- external javascript
	================================================== -->
		<script src="js/jquery-1.7.2.min.js"></script>
		<script src="js/jquery.i18n.properties-1.0.9.js"></script>
		<script src="script/login.js"></script>
	</fmt:bundle>
</body>
</html>
