<!DOCTYPE html>
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<html>
<head>
<%@taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<meta charset="utf-8">
<title>RegisterSuccess</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta name="description"
	content="Charisma, a fully featured, responsive, HTML5, Bootstrap admin template.">
<meta name="author" content="Muhammad Usman">

<!-- The styles -->
<link rel="shortcut icon" href="img/bench4q.png">

<link id="bs-css" href="css/bootstrap-cerulean.css" rel="stylesheet">
<link href="css/bootstrap-responsive.css" rel="stylesheet">
<link href="css/charisma-app.css" rel="stylesheet">
<link href="css/jquery-ui-1.8.21.custom.css" rel="stylesheet">
<link href='css/fullcalendar.css' rel='stylesheet'>
<link href='css/fullcalendar.print.css' rel='stylesheet' media='print'>
<link href='css/chosen.css' rel='stylesheet'>
<link href='css/uniform.default.css' rel='stylesheet'>
<link href='css/colorbox.css' rel='stylesheet'>
<link href='css/jquery.noty.css' rel='stylesheet'>
<link href='css/noty_theme_default.css' rel='stylesheet'>
<link href='css/elfinder.min.css' rel='stylesheet'>
<link href='css/elfinder.theme.css' rel='stylesheet'>
<link href='css/jquery.iphone.toggle.css' rel='stylesheet'>
<link href='css/opa-icons.css' rel='stylesheet'>
<link href='css/uploadify.css' rel='stylesheet'>

<style type="text/css">
body {
	padding-bottom: 40px;
}

.sidebar-nav {
	padding: 9px 0;
}
</style>

<script type="text/javascript">
	function countDown(secs, surl) {
		var jumpTo = document.getElementById('jumpTo');
		jumpTo.innerHTML = secs;
		if (--secs > 0) {
			setTimeout("countDown(" + secs + ",'" + surl + "')", 1000);
		} else {
			location.href = surl;
		}
	}
</script>

<link rel="shortcut icon" href="img/favicon.ico">

</head>

<body>
	<fmt:bundle basename="i18n">

		<div class="container-fluid">
			<div class="row-fluid">

				<div class="row-fluid">
					<div class="span12 center login-header">
						<h2>
							<fmt:message key="welcometo" />
						</h2>
					</div>
					<!--/span-->
				</div>
				<!--/row-->

				<div class="row-fluid">
					<div class="row-fluid">
						<div class="span12 center">
							<h2>Congratulations! You have registered successfully!</h2>
							<br>
						</div>
						<div class="center">
							<span id="jumpTo">5</span> seconds later, you will enter the
							login page!
							<script type="text/javascript">
								countDown(5, 'index.jsp');
							</script>

						</div>
						<!--/span-->
					</div>

				</div>
				<!--/row-->
			</div>
			<!--/fluid-row-->
		</div>
		<!--/.fluid-container-->

		<!-- external javascript
	================================================== -->
		<script src="js/jquery-1.7.2.min.js"></script>
		<script src="js/jquery.i18n.properties-1.0.9.js"></script>
		<script src="script/login.js"></script>
	</fmt:bundle>
</body>
</html>
