var downloadButton = "<a class='btn btn-success download'  ><i class='icon-zoom-in icon-white'></i>Report</a>"
		+ "  ";
var deleteButton = "<a class='btn btn-info delete'><i class='icon-trash icon-white'></i>Delete</a>";
var testsTableModel = new Array("testPlanRunId", "id", "createDateTime",
		"currentStatus");
var testPlanColumnIndex = {
	"RunId" : 0,
	"ID" : 1,
	"Create Time" : 2,
	"Status" : 3
};


function loadTests(table, model,loadLength,actionButton) {
	table.dataTable().fnClearTable();

	$.post("loadTestPlans", {}, function(data) {
		if (data.success) {
			data=data.data;
			if (data.list != null){
				if(loadLength<0)
					loadLength=data.list.length;
				if(data.list.length<loadLength)
					loadLength=data.list.length;
				for ( var i = 0; i < loadLength; i++) 
					table.dataTable().fnAddData(
							extractRowData(data.list[i], model, actionButton));
			}

				
				var nodes= table.fnGetNodes();
				for ( var i = 0; i <nodes.length; i++) {
					var testPlanIdColumn = $($(nodes[i]).children("td")
						.eq(0));
					var testPlanId = testPlanIdColumn.text();
					testPlanIdColumn.html("")
					var href = "<a href='result.jsp?testPlanId=" + testPlanId + "'>"
						+ testPlanId + "</a>"
						testPlanIdColumn.html(href);
				}
		}
		else
			alert(data.failedMessage);

		

		$('.download').click(function(e) {
			e.preventDefault();
			downloadResult(this);
		});
		$('.delete').click(function(e) {
			e.preventDefault();
			deleteTest(this);
		});
	}, "json");

}

function viewResult(obj) {
	var testRunId = getColumn(testPlanColumnIndex.RunId);

}
function downloadResult(obj) {
	var testRunId = getColumn(obj, testPlanColumnIndex.RunId);
	var form = $("<form>");// 定义一个form表单
	form.attr("style", "display:none");
	form.attr("method", "post");
	form.attr("action", "downloadReport");
	var input1 = $("<input>");
	input1.attr("type", "hidden");
	input1.attr("name", "testPlanId");
	input1.attr("value", testRunId);
	$("body").append(form);
	form.append(input1);
	form.submit();
}
function deleteTest(obj) {
	var testPlanId = getColumn(obj, testPlanColumnIndex.ID);//
	$.post("deleteTest", {
		testPlanId : testPlanId
	}, function(data) {

		if (data.success) {
			var table = getTable(obj);
			var row = getRow(obj);
			$(table).dataTable().fnDeleteRow(row.rowIndex - 1);
		} else {
			alert(data.failedMessage);
		}
	});

}