var LoadItems = function() {
	this.scriptBriefStatusAve = false;
	this.pageResult = false;
	this.behaviorResult = false;
	this.urlDistribution = false;
	this.testBrief = false;
};
var loadItems = new LoadItems();
var testStatus;
$(document).ready(
		function() {
			testPlanId = getvars()['testPlanId'];
			if (!getTestPlanStatus(testPlanId))
				return;
			doProgress();
			getTestBrief(testPlanId);
			var tree = getResultInfoTree(testPlanId);
			var replaceArray = createUrlReplaceArray(testPlanId);
			var chart = new Chart();
			chart.createChart($("#chart"));
			var chartSelector = createChartSelector(tree, chart, replaceArray,
					getShowTreePathValues(tree));
			chartSelector.initChart(getShowTreePathValues(tree), this);
			graphButtonListener(chartSelector);
			var behaviorResult = new BehaviorResult();
			behaviorResult.getResult(testPlanId, getScriptList(testPlanId));
			var pageResult = new PageResult();
			pageResult.getResult(testPlanId, getScriptList(testPlanId));
			var urlContentTypeDistribution = new UrlContentTypeDistribution(
					"url-distribution", testPlanId);
		});

function replace(keyArray, replaceArray) {
	for (var i = 0; i < keyArray.length; i++) {
		for (var j = 0; j < replaceArray.length; j++) {
			if (keyArray[i] == replaceArray[j].oldWord)
				keyArray[i] = replaceArray[j].newWord
		}
	}
}

function graphButtonListener(chartSelector) {
	$("#del-graph").click(
			function(event) {

				$("#" + chartSelector.deleteSelectorId).html("");
				if (chartSelector.showTree != null) {
					if (chartSelector.showTree.root != null)
						chartSelector.createSelector($("#"
								+ chartSelector.deleteSelectorId),
								chartSelector.showTree.root);
				}

				chartSelector.addSelectlistEvent();
				$("#del-graph-modal").modal('show');
			});
	$("#add-graph").click(
			function(event) {
				$("#" + chartSelector.addSelectorId).html("");
				if (chartSelector.excessTree != null) {
					if (chartSelector.excessTree.root != null)
						chartSelector.createSelector($("#"
								+ chartSelector.addSelectorId),
								chartSelector.excessTree.root);
				}
				chartSelector.addSelectlistEvent();

				$("#add-graph-modal").modal('show');
			});
}

function createChartSelector(tree, chart, replaceArray, showTreePathValues) {

	var addSelectorId = "add-graph-list";
	var deleteSelectorId = "del-graph-list";
	var addButton = $("#add-graph-add");
	var deleteButton = $("#del-graph-del");
	var showTree = initShowTree(tree);
	var chartSelector = new ChartSelector(tree, showTree, chart, addSelectorId,
			deleteSelectorId, addButton, deleteButton, replaceArray,
			showTreePathValues);

	return chartSelector;
}
function getShowTreePathValues(tree) {
	var currentNode = tree.root.children[0];
	var pathValues = new Array();
	while (currentNode != null) {
		pathValues.push(currentNode.value);
		if (currentNode.children !== null)
			currentNode = currentNode.children[0];
		else
			currentNode = null;

	}
	return pathValues;
}
function initShowTree(tree) {

	var pathValues = getShowTreePathValues(tree);

	return tree.getCloneTreeFromVlaue(pathValues);
}
var ReplaceNode = function(oldWord, newWord) {
	this.oldWord = oldWord;
	this.newWord = newWord;
};
function createUrlReplaceArray(testPlanId) {
	var replaceArray = new Array();
	$.ajax({
		type : "POST",
		/* url : "/" + testPlanId + "/mapInfo", */
		url : testPlanId + "/mapInfo",
		dataType : "json",
		async : false,
		success : function(data) {
			if(!data.success){
				alert(data.failedMessage);
				return;
			}
				
			else data=data.data;
			for ( var key in data) {
				var replaceNode = new ReplaceNode(key, data[key]);
				replaceArray.push(replaceNode);
			}

		}
	});
	return replaceArray;

}

function getvars() {
	var vars = [], hash;
	var hashes = window.location.href.slice(
			window.location.href.indexOf('?') + 1).split('&');
	for (var i = 0; i < hashes.length; i++) {
		hash = hashes[i].split('=');
		vars.push(hash[0]);
		vars[hash[0]] = hash[1];
	}
	return vars;
}