$(document).ready(function() {
	testPlanTaskList();
});
$('.datatable').dataTable({
	"sDom" : "<'row-fluid'<'span6'l>>t<'row-fluid'<'span3 center'p>>",
	"sPaginationType" : "bootstrap",
	"oLanguage" : {
		"sLengthMenu" : "_MENU_ records per page"
	}
});
var testPlanTaskList;
function testPlanTaskList() {
	$('#testTaskList').dataTable().fnClearTable();
	var statusHtml;
	$
			.post(
					"testPlanTaskList",
					{},
					function(data) {
						if (!data.success) {
							alert(data.failedMessage);
							return;
						}
						if (data.data.length == 0)
							return;
						data = data.data;
						testPlanTaskList=data;
						for ( var i = 0; i < data.length; i++) {
							var $button = $("<div><a class='btn btn-info' ><i ></i></a></div>");

							var $a = $($button.find("a")[0]);
							var $i = $($a.find("i"));
							switch (data[i].status) {

							case "NotStart":
								$i.text("NotStart");
								break;
							case "InRunning":
								$i.text("InRunning");
								$a.attr("onclick", "viewRealTimeResult(this)");
								break;
							case "PendingNoEnoughMaxLoad":
								$i.text("PendingNoEnoughMaxLoad");
								break;
							case "PendingNoEnoughCurrentLoad":
								$i.text("PendingNoEnoughCurrentLoad");
								break;
							case "Complete":
								$i.text("Complete");
								break;
							case "Error":
								$i.text("Error");
								break;
							case "NullError":
								$i.text("Null");
								break;
							default:
								$i.text("UnknownError");
								break;
							}
							$('#testTaskList').dataTable().fnAddData(
									[ i, data[i].name, $button.html() ]);
						}
					}, "json");

}
function getTestPlanIdInTable(obj) {
	var row = obj.parentNode.parentNode;
	var testPlanName = $('#testTaskList>tbody').children("tr").eq(
			row.rowIndex - 1).children("td").eq(1).text();
	var testPlanId;
	for ( var i = 0; i < testPlanTaskList.length; i++) {
		if (testPlanName == testPlanTaskList[i].name) {
			testPlanId = testPlanTaskList[i].id;
			return testPlanId;
		}
	}

}
function viewRealTimeResult(obj) {
	var testPlanId = getTestPlanIdInTable(obj);
	window.open("result.jsp?testPlanId=" + testPlanId);
}
