package org.bench4q.agent.parameterization.impl;

import java.util.Arrays;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class ParameterThreadOption {
	public final ParameterThreadOption instance = new ParameterThreadOption();
	Map<String, List<String>> optionMap = new HashMap<String, List<String>>();
	private List<String> all = Arrays.asList("crossThread", "inThread");
	// private List<String> justIn = Arrays.asList("inThread");
	private List<String> justCross = Arrays.asList("crossThread");

	private ParameterThreadOption() {

		optionMap.put("Para_File", all);
		optionMap.put("Para_IteratorNumber", justCross);
		optionMap.put("Para_RandomNumber", all);
		optionMap.put("Para_UniqueNumber", all);
		optionMap.put("Para_UserNameAndPassword", justCross);
	}

	public List<String> getThreadOption(String classname) {
		if (this.optionMap.containsKey(classname) == false)
			return all;
		return optionMap.get(classname);
	}
}
