package org.bench4q.agent.plugin.basic;

import org.apache.log4j.Logger;
import org.bench4q.agent.plugin.Behavior;
import org.bench4q.agent.plugin.Parameter;
import org.bench4q.agent.plugin.Plugin;
import org.bench4q.agent.plugin.result.TimerReturn;

@Plugin("ConstantTimer")
public class ConstantTimerPlugin {
	private Logger logger = Logger.getLogger(ConstantTimerPlugin.class);

	public ConstantTimerPlugin() {

	}

	@Behavior("Sleep")
	public TimerReturn sleep(@Parameter("time") int time) {
		try {
			Thread.sleep(time);
			return new TimerReturn(true);
		} catch (Exception e) {
			logger.info("sleep interrupted!");
			return new TimerReturn(false);
		}
	}
}
