package org.bench4q.agent.plugin.result;

import java.util.Map;

import org.apache.commons.httpclient.Header;

/***
 * the contentLength's unit is Byte
 * 
 * @author coderfengyun
 * 
 */
public class HttpReturn extends PluginReturn {
	private int statusCode;
	private long contentLength;
	private String contentType;
	private Header[] headers;

	public int getStatusCode() {
		return statusCode;
	}

	private void setStatusCode(int statusCode) {
		this.statusCode = statusCode;
	}

	public long getContentLength() {
		return contentLength;
	}

	private void setContentLength(long contentLength) {
		this.contentLength = contentLength;
	}

	public String getContentType() {
		return contentType;
	}

	private void setContentType(String contentType) {
		this.contentType = contentType;
	}

	public Header[] getHeaders() {
		return headers;
	}

	private void setHeaders(Header[] headers) {
		this.headers = headers;
	}

	public HttpReturn(boolean success, int statusCode, long contentLength,
			String contentType) {
		this.setSuccess(success);
		this.setStatusCode(statusCode);
		this.setContentLength(contentLength);
		this.setContentType(contentType);
	}

	public HttpReturn(boolean success, int responseCode, long contentLength2,
			String contentType2, Header[] responseHeaders,
			Map<String, String> runTimeParams) {
		this(success, responseCode, contentLength2, contentType2);
		this.setHeaders(responseHeaders);
		this.getRunTimeParams().putAll(runTimeParams);
	}
}
