package org.bench4q.master.transaction.script;

import org.bench4q.master.domain.RunningScriptInterface;
import org.bench4q.master.testplan.highavailable.AgentRunBlotter;

public class ScriptLoadSubstitute extends ScriptLoadBase {
	private int loadToRecover;
	private AgentRunBlotter deadAgentBlotter;

	public void setLoadToRecover(int loadToRecover) {
		this.loadToRecover = loadToRecover;
	}

	public AgentRunBlotter getDeadAgentBlotter() {
		return deadAgentBlotter;
	}

	public void setDeadAgentBlotter(AgentRunBlotter deadAgentBlotter) {
		this.deadAgentBlotter = deadAgentBlotter;
	}

	public ScriptLoadSubstitute(RunningScriptInterface runningScript,
			AgentRunBlotter deadAgentBlotter) {
		super(runningScript, deadAgentBlotter.getTestPlanId());
		this.setDeadAgentBlotter(deadAgentBlotter);
		this.setLoadToRecover(deadAgentBlotter.getRunningAgent().getLoadInUse());
	}

	@Override
	protected int getRequireLoad() {
		return loadToRecover;
	}
}
