package org.bench4q.share.helper;

import java.io.File;
import java.io.IOException;
import java.lang.reflect.Method;

public class TestHelper {
	public static Object invokePrivate(Object targetObject, String methodName,
			Class<?>[] paramClasses, Object[] params) throws Exception {
		Method method = targetObject.getClass().getDeclaredMethod(methodName,
				paramClasses);
		method.setAccessible(true);
		return method.invoke(targetObject, params);
	}

	public static void createFileIfNotExist(File file) {
		if (file.exists()) {
			return;
		}
		if (!file.getParentFile().exists()) {
			file.mkdirs();
		}
		try {
			file.createNewFile();
		} catch (IOException e) {
		}
	}
}
