package org.bench4q.share.models.master.plugin;

import java.util.Set;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement
public class PluginModel {
	private Set<MethodModel> methods;
	private String name;

	@XmlElementWrapper(name = "methods")
	@XmlElement(name = "method", type = MethodModel.class)
	public Set<MethodModel> getMethods() {
		return methods;
	}

	public void setMethods(Set<MethodModel> methods) {
		this.methods = methods;
	}

	@XmlElement
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

}
