package org.bench4q.share.models.master.plugin;

import java.util.List;
import java.util.Set;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement
public class PluginResponseModel {

	private boolean success;
	private List<String> pluginList;
	private List<String> methodList;
	private Set<MethodParamModel> methosMethodParamModels;
	private String failMessage;

	@XmlElement
	public boolean isSuccess() {
		return success;
	}

	public void setSuccess(boolean success) {
		this.success = success;
	}

	@XmlElement
	public List<String> getPluginList() {
		return pluginList;
	}

	public void setPluginList(List<String> pluginList) {
		this.pluginList = pluginList;
	}

	@XmlElement
	public List<String> getMethodList() {
		return methodList;
	}

	public void setMethodList(List<String> methodList) {
		this.methodList = methodList;
	}

	@XmlElementWrapper(name = "methodParamList")
	@XmlElement(name = "methodParam", type = MethodParamModel.class)
	public Set<MethodParamModel> getMethosMethodParamModels() {
		return methosMethodParamModels;
	}

	public void setMethosMethodParamModels(
			Set<MethodParamModel> methosMethodParamModels) {
		this.methosMethodParamModels = methosMethodParamModels;
	}

	@XmlElement
	public String getFailMessage() {
		return failMessage;
	}

	public void setFailMessage(String failMessage) {
		this.failMessage = failMessage;
	}

}
