package org.bench4q.web.model;

import java.util.List;
import java.util.Map;
import java.util.UUID;

import org.bench4q.share.enums.master.TestPlanStatus;
import org.bench4q.share.models.master.MonitorModel;
import org.bench4q.share.models.master.TestPlanResultModel;

public class WebTestPlanResultModel {
	private UUID testPlanId;
	private TestPlanStatus currentStatus;
	private Map<Integer,String> scriptIdNameMap;
	private List<MonitorModel> monitorModels;
	private List<Integer> scriptIds;
	public WebTestPlanResultModel(TestPlanResultModel testPlanResultModel){
		this.testPlanId=testPlanResultModel.getTestPlanId();
		this.currentStatus=testPlanResultModel.getCurrentStatus();
		this.monitorModels=testPlanResultModel.getMonitorModels();
		this.scriptIds=testPlanResultModel.getScriptIds();
	}
	public UUID getTestPlanId() {
		return testPlanId;
	}
	public void setTestPlanId(UUID testPlanId) {
		this.testPlanId = testPlanId;
	}
	public TestPlanStatus getCurrentStatus() {
		return currentStatus;
	}
	public void setCurrentStatus(TestPlanStatus currentStatus) {
		this.currentStatus = currentStatus;
	}
	public Map<Integer, String> getScriptIdNameMap() {
		return scriptIdNameMap;
	}
	public void setScriptIdNameMap(Map<Integer, String> scriptIdNameMap) {
		this.scriptIdNameMap = scriptIdNameMap;
	}
	public List<MonitorModel> getMonitorModels() {
		return monitorModels;
	}
	public void setMonitorModels(List<MonitorModel> monitorModels) {
		this.monitorModels = monitorModels;
	}
	public List<Integer> getScriptIds() {
		return scriptIds;
	}
	public void setScriptIds(List<Integer> scriptIds) {
		this.scriptIds = scriptIds;
	}
	
	
}
