<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<link rel="shortcut icon" href="img/bench4q.png">
<style type="text/css">
body {
	padding-bottom: 40px;
}

.sidebar-nav {
	padding: 9px 0;
}
</style>
<title>Bench4q 2013</title>
<link id="bs-css" href="css/bootstrap-cerulean.css" rel="stylesheet">
<link href="css/bootstrap-responsive.css" rel="stylesheet">
<link href="css/charisma-app.css" rel="stylesheet">
<link href="css/jquery-ui-1.8.21.custom.css" rel="stylesheet">
<link href='css/chosen.css' rel='stylesheet'>
<link href='css/uniform.default.css' rel='stylesheet'>
<link href='css/colorbox.css' rel='stylesheet'>
<link href='css/jquery.noty.css' rel='stylesheet'>
<link href='css/noty_theme_default.css' rel='stylesheet'>
<link href='css/elfinder.min.css' rel='stylesheet'>
<link href='css/elfinder.theme.css' rel='stylesheet'>
<link href='css/opa-icons.css' rel='stylesheet'>
<link href='css/uploadify.css' rel='stylesheet'>
<link href='bench4q-css/result.css' rel='stylesheet'>
</head>
<%@taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<body>
	<fmt:bundle basename="i18n">
		<jsp:include page="publiccontrol/navigatebar.jsp"></jsp:include>
		<div class="container-fluid">
			<div class="row-fluid">
				<jsp:include page="publiccontrol/leftmenubar.jsp"></jsp:include>

				<div id="content" class="span10  ">
					<!-- content starts -->
					<div>
						<ul class="breadcrumb">
							<li><a href="homepage.jsp"><fmt:message key="home" /></a> <span
								class="divider">/</span></li>
							<li><a href="test.jsp"><fmt:message key="creatatest" /></a><span
								class="divider">/</span></li>
							<li><a href="#"><fmt:message key="result" /></a></li>
						</ul>
					</div>
					<div class="row-fluid" id="test">
						<div class="span4 span-brief" id="status">
							Test Status<br /> <br>
						</div>
						<div class="span4 span-brief" id="vu">
							VUs active<br /> <br>
						</div>
						<div class="span4  span-brief-last" id="request">
							Requests<br /> <br>
						</div>
					</div>
					<div class="row-fluid">
						<h4 class="pull-left">Charts</h4>
						<div class="field-inline">
							<button type="button" class="btn btn-primary " id="del-graph">Delete
								Graph</button>

						</div>
						<div class="field-inline">

							<button type="button" class="btn btn-primary  " id="add-graph">Add
								Graph</button>
						</div>
					</div>

					<div class="app-container " id="chart"></div>
					<div class="row-fluid">
						<h4 class="pull-left">Pages</h4>
					</div>
					<div class="app-container">
						<table id="page"
							class="table table-striped table-bordered bootstrap-datatable datatable">
							<thead>
								<tr>
									<th>Page</th>
									<th>Script</th>
									<th>Count</th>
									<th>Test Min</th>
									<th>Test Max</th>
									<th>Average</th>
									<th>Last</th>
								</tr>
							</thead>
							<tbody>
							</tbody>
						</table>
					</div>
					<div class="row-fluid">
						<h4 class="pull-left">Urls</h4>
					</div>
					<div class="app-container dataTables_wrapper">
						<table id="url"
							class="table table-striped table-bordered bootstrap-datatable datatable">
							<thead>
								<tr>
									<th></th>
									<th>URL</th>
									<th>Script</th>
									<th>Successful</th>
									<th>Total</th>
								</tr>
							</thead>
							<tbody>
							</tbody>
						</table>

					</div>
					<div class="app-container" id="url-distribution"></div>
				</div>
			</div>

		</div>
		</div>

		</div>


		<div class="modal hide fade" id="add-graph-modal">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal">x</button>
				<h3>Add Graph</h3>
			</div>
			<div class="modal-body" id="add-graph-list"></div>
			<div class="modal-footer">
				<button type="button" class="btn btn-primary" data-dismiss="modal"
					id="add-graph-add">add</button>
				<button type="button" class="btn btn-primary" data-dismiss="modal">
					cancel</button>
			</div>
		</div>
		<div class="modal hide fade" id="del-graph-modal">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal">x</button>
				<h3>Delete Graph</h3>
			</div>
			<div class="modal-body" id="del-graph-list"></div>
			<div class="modal-footer">
				<button type="button" class="btn btn-primary" data-dismiss="modal"
					id="del-graph-del">delete</button>
				<button type="button" class="btn btn-primary" data-dismiss="modal">
					cancel</button>
			</div>
		</div>
		<div class="modal hide fade" id="load">
			<div class="modal-header">
			
				<h3>Please wait,loading result data...</h3>
			</div>
			<div class="modal-body" >
			<div id="loading">	<div></div></div>
			
			</div>
			<div class="modal-footer">
			<button type="button" id="cancelLoading" class="btn btn-primary" data-dismiss="modal">
					cancel</button>
			</div>
		</div>
		<hr>
		<jsp:include page="publiccontrol/footer.jsp"></jsp:include>
		<script src="js/jquery-1.7.2.min.js"></script>
		<script src="js/jquery-ui-1.8.21.custom.min.js"></script>
		<script src="js/jquery.i18n.properties-1.0.9.js"></script>
		<script src="js/bootstrap-modal.js"></script>
		<script src="js/bootstrap-dropdown.js"></script>
		<script src="js/jquery.cookie.js"></script>
		<script src='js/jquery.dataTables.min.js'></script>
		<script src="js/theme.js"></script>
		<script src="script/base.js"></script>
		<script src="js/highcharts.js"></script>
		<!-- 	<script src="http://code.highcharts.com/stock/highstock.js"></script> -->
		<script src="script/charts.js"></script>
		<script src="script/result-test-brief.js"></script>
		<script src="script/bench4q.table.js"></script>
		<script src="script/result-table.js"></script>
		<script src="script/highChartTheme.js"></script>
		<script src="script/result-tree.js"></script>
		<script src="script/resultInfo.js"></script>
		<script src="script/chartSelector.js"></script>
		<script src="script/pieChart.js"></script>
		<script src="script/result-load.js"></script>
		<script src="script/result.js"></script>
	</fmt:bundle>
</body>
</html>