var portTableModel = new Array("id", "port", "inUse");
var portColumnIndex = {
	"id" : 0,
	"port" : 1,
	"inUse" : 2
};
var deleteButton = "<a class='btn btn-info delete' ><i class='icon-trash icon-white'></i>Delete</a>";
$(document).ready(function() {
	var table = $('#table');
	loadPorts(table);
});

function deletePort(obj) {
	var table =getTable(obj);
	var row=getRow(obj);
	$.post("removePortFromPool", {
		id : getColumn(obj,portColumnIndex.id)
	}, function(data) {
			if(data){
				$(table).dataTable().fnDeleteRow(row.rowIndex - 1);
			}
			else
				alert("fail");
	});
}

function addPort(params) {
	var table=$("#table");
	
	$.post("addPortToPool", params, function(data) {
		if (data) {
			loadPorts(table);
			$("#portParam").modal('hide');
			//add message!
		} else {
			alert("fail!");
		}
	});
}
function loadPorts(table) {
	table.dataTable().fnClearTable();
	$.post("loadPorts", function(data) {
		if (data != null) {
			if (data.list != null)
				for ( var i = 0; i < data.list.length; i++) {
					table.dataTable().fnAddData(
							extractRowData(data.list[i], portTableModel, deleteButton));
				}
			
		}
		$(".delete").click(function(e) {
			e.preventDefault();
			deletePort(this);
		});
	});
}
$("#plus").click(function(e) {
	e.preventDefault();
	$("#portParam").modal('show');
});
$('#addPort').click(function(e){
	e.preventDefault();
	var params = {
			port : $("#port").val()
		};
	addPort(params);
	
});
$('.list').click(function(e){
	e.preventDefault();
	var table=$('#table');
	loadPorts(table);
});