<!DOCTYPE html>
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<html>
<head>
<%@taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<meta charset="utf-8">
<title>Bench4Q</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta name="description"
	content="Bench4Q, a new method for QOS benchmarking.">
<meta name="author" content="Kai Ren">

<!-- The styles -->
<link id="bs-css" href="css/bootstrap-cerulean.css" rel="stylesheet">
<style type="text/css">
body {
	padding-bottom: 40px;
}

.sidebar-nav {
	padding: 9px 0;
}
</style>
<link href="css/bootstrap-responsive.css" rel="stylesheet">
<link href="css/charisma-app.css" rel="stylesheet">
<link href="css/jquery-ui-1.8.21.custom.css" rel="stylesheet">
<link href='css/fullcalendar.css' rel='stylesheet'>
<link href='css/fullcalendar.print.css' rel='stylesheet' media='print'>
<link href='css/chosen.css' rel='stylesheet'>
<link href='css/uniform.default.css' rel='stylesheet'>
<link href='css/colorbox.css' rel='stylesheet'>
<link href='css/jquery.noty.css' rel='stylesheet'>
<link href='css/noty_theme_default.css' rel='stylesheet'>
<link href='css/elfinder.min.css' rel='stylesheet'>
<link href='css/elfinder.theme.css' rel='stylesheet'>
<link href='css/jquery.iphone.toggle.css' rel='stylesheet'>
<link href='css/opa-icons.css' rel='stylesheet'>
<link href='css/uploadify.css' rel='stylesheet'>
<link href='bench4q-css/bench4q.css' rel='stylesheet'>

<link rel="shortcut icon" href="img/bench4q.png">
</head>

<body>
	<fmt:bundle basename="i18n">
		<jsp:include page="publiccontrol/navigatebar.jsp"></jsp:include>
		<div class="container-fluid">
			<div class="row-fluid">
				<jsp:include page="publiccontrol/leftmenubar.jsp"></jsp:include>
				<div id="content" class="span10">
					<!-- content starts -->

					<!-- up navigatebar start-->
					<div>
						<ul class="breadcrumb">
							<li><a href="homepage.jsp"><fmt:message key="home" /></a> <span
								class="divider">/</span></li>
							<li><a href="#"><fmt:message key="testQueue" /></a></li>
						</ul>
					</div>
					<!-- up navigatebar ends -->
					<div class="row-fluid sortable">
						<div class="box span12">
							<div class="box-header well">
								<h2>
									<fmt:message key="testQueue" />
								</h2>
							</div>
							<div class="box-content">

								<div>
									<table id="testTaskList"
										class="table table-striped table-bordered bootstrap-datatable datatable">
										<thead>
											<tr>
												<th>ID</th>
												<th><fmt:message key="testPlanName" /></th>
												<th><fmt:message key="actions" /></th>
											</tr>
										</thead>
										<tbody>
										</tbody>
									</table>
								</div>

							</div>
							<!-- box content -->
						</div>
						<!-- box span -->
					</div>
					<!-- row fluid -->

				</div>
				<!-- span10 -->
			</div>
			<!-- row-fluid span10 -->
			<!-- content ends -->


			<!--/fluid-row-->
			<hr>
			<jsp:include page="publiccontrol/footer.jsp"></jsp:include>
		</div>
		<!--/.fluid-container-->

		<!-- external javascript
	================================================== -->
		<!-- Placed at the end of the document so the pages load faster -->

		<!-- jQuery -->
		<script src="js/jquery-1.7.2.min.js"></script>
		<!-- jQuery UI -->
		<script src="js/jquery-ui-1.8.21.custom.min.js"></script>
		<!-- modal / dialog library -->
		<script src="js/bootstrap-modal.js"></script>
		<!-- custom dropdown library -->
		<script src="js/bootstrap-dropdown.js"></script>
		<!-- library for advanced tooltip -->
		<script src="js/bootstrap-tooltip.js"></script>
		<!-- popover effect library -->
		<script src="js/bootstrap-popover.js"></script>
		<!-- library for cookie management -->
		<script src="js/jquery.cookie.js"></script>
		<!-- data table plugin -->
		<script src='js/jquery.dataTables.min.js'></script>
		<!-- application script for Charisma demo -->
		<script src="script/base.js"></script>
		<script src="js/theme.js"></script>
		<script src="js/jquery.i18n.properties-1.0.9.js"></script>
		<script src="script/base.js"></script>
		<script src="script/testTask.js"></script>
	</fmt:bundle>
</body>
</html>
